import { LogLevel } from './log_level';
/**
 * Describes a single log entry.
 */
export declare class LogEntry {
    /**
     * The id of the process model to which the log entry pertains.
     */
    processModelId: string;
    /**
     * The id of the correlation to which the log entry pertains.
     */
    correlationId: string;
    /**
     * The id of the flow node instance to which the log entry pertains.
     */
    flowNodeInstanceId?: string;
    /**
     * The log level.
     */
    logLevel: LogLevel;
    /**
     * The log message.
     */
    message: string;
    /**
     * The date and time at which the log entry was recorded..
     */
    timeStamp: Date;
}
